Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567252 - [DOCS] BuildConfig spec.output.imageLabels Not Documented
Summary: [DOCS] BuildConfig spec.output.imageLabels Not Documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Wenjing Zheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 16:24 UTC by Justin Holmes
Modified: 2018-06-21 19:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-21 19:58:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Holmes 2018-04-13 16:24:27 UTC
Document URL: https://docs.openshift.com/container-platform/3.9/creating_images/metadata.html

Section Number and Name: N/A

Describe the issue: The following feature is not documented. Builds Configs support the ability to add arbitrary labels to the container image during a build. These are specified in spec.output.imageLabels. Currently there is no way to use variables, so users must patch the BuildConfig on a per build basis (https://trello.com/c/HB9IwGj5/925-5-add-arbitrary-labels-to-docker-images)

Suggestions for improvement: Document it please.

Additional information: I have working code examples if you'd like them.

Comment 1 Ashley Hardin 2018-06-20 19:33:24 UTC
Hi, Justin.
I see these docs were submitted for this Trello card: https://github.com/openshift/openshift-docs/pull/3015

Published version: https://docs.openshift.com/container-platform/3.9/dev_guide/builds/build_output.html#output-image-labels

Is more needed on this? Thanks!

Comment 2 Justin Holmes 2018-06-21 19:58:33 UTC
looks got to me. closing this issue.


Note You need to log in before you can comment on or make changes to this bug.